<?php

use TurboSMSWoocommerceViberEdition\Api;

$send_method = $this->get_setting( 'send_method' );

$sms_sender   = $this->get_setting( 'sms_sender' );
$viber_sender = $this->get_setting( 'viber_sender' );
$token        = $this->get_setting( 'http_api_token' );

$api     = Api::get_instance()->init( $sms_sender, $viber_sender, $token );
$balance = $api->getBalance();
?>
<div class="wrap">
    <h1><?php _e( 'TurboSMS settings', 'turbosms-woocommerce-viber-edition' ) ?> |
		<?php if ( $balance ): ?>
            <span><strong><?php _e( 'Balance', 'turbosms-woocommerce-viber-edition' ) ?>:</strong> <?php echo $balance ?></span>
		<?php endif; ?>
    </h1>
    <form method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>">
		<?php $this->the_nonce(); ?>
        <fieldset>
            <legend><?php _e( 'General settings', 'turbosms-woocommerce-viber-edition' ) ?></legend>
            <div class="row">
                <div class="form-group col-md-6">

                    <label for="sms_sender"><?php _e( 'SMS Sender', 'turbosms-woocommerce-viber-edition' ) ?></label>
                    <input
                            id="sms_sender"
                            type="text"
                            name="<?php echo $this->get_field_name( 'sms_sender' ) ?>"
                            value="<?php echo $sms_sender ?>"
                            class="form-control"
                            placeholder="<?php _e( 'TurboSMS Signature', 'turbosms-woocommerce-viber-edition' ) ?>">

                    <label for="viber_sender"><?php _e( 'Viber sender', 'turbosms-woocommerce-viber-edition' ) ?></label>
                    <input
                            id="viber_sender"
                            type="text"
                            name="<?php echo $this->get_field_name( 'viber_sender' ) ?>"
                            value="<?php echo $viber_sender ?>"
                            class="form-control"
                            placeholder="<?php _e( 'TurboSMS Viber Signature, example: Mobibon', 'turbosms-woocommerce-viber-edition' ) ?>">

                    <label for="phone"><?php _e( 'Administrator phone (you can specify a few separated by commas)', 'turbosms-woocommerce-viber-edition' ) ?></label>
                    <input
                            id="phone"
                            type="text"
                            name="<?php echo $this->get_field_name( 'phone' ) ?>"
                            value="<?php echo $this->get_setting( 'phone' ) ?>"
                            class="form-control"
                            placeholder="<?php _e( 'For example', 'turbosms-woocommerce-viber-edition' ) ?>, +380681234567">

                </div>
                <div class="form-group col-md-6">
                    <label for="http_api_token"><?php _e( 'HTTP API token', 'turbosms-woocommerce-viber-edition' ) ?></label>
                    <input
                            id="http_api_token"
                            type="text"
                            name="<?php echo $this->get_field_name( 'http_api_token' ) ?>"
                            value="<?php echo $token ?>"
                            class="form-control"
                            placeholder="<?php _e( 'Enter HTTP API token', 'turbosms-woocommerce-viber-edition' ) ?>">

                    <br>
                    <label><?php _e( 'Send method', 'turbosms-woocommerce-viber-edition' ) ?></label>
                    <label class="form-radio-label">
                        <input
                                type="radio"
                                name="<?php echo $this->get_field_name( 'send_method' ) ?>"
                                value="sms"
							<?php checked( $send_method === 'sms', true ) ?>
                        > SMS</label>
                    <label class="form-radio-label">
                        <input
                                type="radio"
                                name="<?php echo $this->get_field_name( 'send_method' ) ?>"
                                value="viber"
							<?php checked( $send_method === 'viber', true ) ?>
                        > Viber</label>
                    <label class="form-radio-label">
                        <input
                                type="radio"
                                name="<?php echo $this->get_field_name( 'send_method' ) ?>"
                                value="hybrid"
							<?php checked( $send_method === 'hybrid', true ) ?>
                        > <?php _e( 'Hybrid', 'turbosms-woocommerce-viber-edition' ) ?></label>
                </div>

                <div class="col-md-12">
                    <input type="submit" class="btn btn-primary"
                           value="<?php _e( 'Save', 'turbosms-woocommerce-viber-edition' ) ?>">
                </div>
            </div>
        </fieldset>
        <fieldset>
            <legend><?php _e( 'SMS Templates', 'turbosms-woocommerce-viber-edition' ) ?></legend>
            <div class="row">
                <div class="form-group col-md-3">
                    <h4><?php _e( 'New order', 'woocommerce' ); ?></h4>
					<?php
					$key        = 'new_order';
					$field_name = "admin_$key";
					?>
                    <div>
                        <label for="<?php echo $field_name ?>"><?php _e( 'For administrator', 'turbosms-woocommerce-viber-edition' ) ?></label>
                        <textarea
                                id="<?php echo $field_name ?>"
                                rows="3"
                                name="<?php echo $this->get_field_name( $field_name ) ?>"
                                class="form-control"
                                placeholder="<?php _e( 'Enter the text SMS, or leave the field empty', 'turbosms-woocommerce-viber-edition' ) ?>"
                        ><?php echo $this->get_setting( $field_name ) ?></textarea>
                    </div>
					<?php $field_name = "user_$key" ?>
                    <div>
                        <label for="<?php echo $field_name ?>"><?php _e( 'For user', 'turbosms-woocommerce-viber-edition' ) ?></label>
                        <textarea
                                id="<?php echo $field_name ?>"
                                rows="3"
                                name="<?php echo $this->get_field_name( $field_name ) ?>"
                                class="form-control"
                                placeholder="<?php _e( 'Enter the text SMS, or leave the field empty', 'turbosms-woocommerce-viber-edition' ) ?>"
                        ><?php echo $this->get_setting( $field_name ) ?></textarea>
                        <div class="form-check">
                            <input
                                    type="hidden"
                                    name="<?php echo $this->get_field_name( "send_to_admin_on_$key" ); ?>"
                                    value="no">
                            <input
                                    type="checkbox"
                                    class="form-check-input"
                                    value="yes"
                                    name="<?php echo $this->get_field_name( "send_to_admin_on_$key" ) ?>"
                                    id="<?php echo "checkbox_admin_$key" ?>"
								<?php checked( $this->get_setting( "send_to_admin_on_$key" ) === "yes", true ) ?>
                            >
                            <label class="form-check-label" for="<?php echo "checkbox_admin_$key" ?>">
								<?php _e( 'Send to administrator?', 'turbosms-woocommerce-viber-edition' ) ?>
                            </label>
                        </div>
                        <div class="form-check">
                            <input type="hidden"
                                   name="<?php echo $this->get_field_name( "send_to_user_on_$key" ); ?>"
                                   value="no">
                            <input type="checkbox" class="form-check-input" value="yes"
                                   name="<?php echo $this->get_field_name( "send_to_user_on_$key" ) ?>"
                                   id="<?php echo "checkbox_user_$key" ?>"
								<?php checked( $this->get_setting( "send_to_user_on_$key" ) === "yes", true ) ?>
                            >
                            <label class="form-check-label" for="<?php echo "checkbox_user_$key" ?>">
								<?php _e( 'Send to user?', 'turbosms-woocommerce-viber-edition' ) ?><sup>*</sup>
                            </label>
                        </div>
                    </div>
                    <hr>
                </div>
				<?php foreach ( $this->statuses as $key => $label ) : ?>
                    <div class="form-group col-md-3">
                        <h4><?php echo $label ?></h4>
						<?php $field_name = "admin_$key" ?>
                        <div>
                            <label for="<?php echo $field_name ?>"><?php _e( 'For administrator', 'turbosms-woocommerce-viber-edition' ) ?></label>
                            <textarea
                                    id="<?php echo $field_name ?>"
                                    rows="3"
                                    name="<?php echo $this->get_field_name( $field_name ) ?>"
                                    class="form-control"
                                    placeholder="<?php _e( 'Enter the text SMS, or leave the field empty', 'turbosms-woocommerce-viber-edition' ) ?>"
                            ><?php echo $this->get_setting( $field_name ) ?></textarea>
                        </div>
						<?php $field_name = "user_$key" ?>
                        <div>
                            <label for="<?php echo $field_name ?>"><?php _e( 'For user', 'turbosms-woocommerce-viber-edition' ) ?></label>
                            <textarea
                                    id="<?php echo $field_name ?>"
                                    rows="3"
                                    name="<?php echo $this->get_field_name( $field_name ) ?>"
                                    class="form-control"
                                    placeholder="<?php _e( 'Enter the text SMS, or leave the field empty', 'turbosms-woocommerce-viber-edition' ) ?>"
                            ><?php echo $this->get_setting( $field_name ) ?></textarea>
                            <div class="form-check">
                                <input
                                        type="hidden"
                                        name="<?php echo $this->get_field_name( "send_to_admin_on_$key" ); ?>"
                                        value="no">
                                <input
                                        type="checkbox"
                                        class="form-check-input"
                                        value="yes"
                                        name="<?php echo $this->get_field_name( "send_to_admin_on_$key" ) ?>"
                                        id="<?php echo "checkbox_admin_$key" ?>"
									<?php checked( $this->get_setting( "send_to_admin_on_$key" ) === "yes", true ) ?>
                                >
                                <label class="form-check-label" for="<?php echo "checkbox_admin_$key" ?>">
									<?php _e( 'Send to administrator?', 'turbosms-woocommerce-viber-edition' ) ?>
                                </label>
                            </div>
                            <div class="form-check">
                                <input type="hidden"
                                       name="<?php echo $this->get_field_name( "send_to_user_on_$key" ); ?>"
                                       value="no">
                                <input type="checkbox" class="form-check-input" value="yes"
                                       name="<?php echo $this->get_field_name( "send_to_user_on_$key" ) ?>"
                                       id="<?php echo "checkbox_user_$key" ?>"
									<?php checked( $this->get_setting( "send_to_user_on_$key" ) === "yes", true ) ?>
                                >
                                <label class="form-check-label" for="<?php echo "checkbox_user_$key" ?>">
									<?php _e( 'Send to user?', 'turbosms-woocommerce-viber-edition' ) ?><sup>*</sup>
                                </label>
                            </div>
                        </div>
                        <hr>
                    </div>
				<?php endforeach ?>
                <div class="form-group col-md-12">
                    <input type="submit" class="btn btn-primary"
                           value="<?php _e( 'Save', 'turbosms-woocommerce-viber-edition' ) ?>">
                </div>
                <div class="col-md-12">
                    <h4><?php _e( 'In SMS you can use the following templates:', 'turbosms-woocommerce-viber-edition' ) ?></h4>
                    <table class="table table-striped">
                        <tr>
                            <th>%#meta_key#%</th>
                            <td><?php _e( 'Arbitrary order field. For example, %#novaposhta_ttn#% - displays the invoice number for plugin Woo Nova Poshta',
									'turbosms-woocommerce-viber-edition' ) ?></td>
                        </tr>
                        <tr>
                            <th>%first_name%</th>
                            <td><?php _e( 'User first name', 'turbosms-woocommerce-viber-edition' ) ?></td>
                        </tr>
                        <tr>
                            <th>%last_name%</th>
                            <td><?php _e( 'User last name', 'turbosms-woocommerce-viber-edition' ) ?></td>
                        </tr>
                        <tr>
                            <th>%order_id%</th>
                            <td><?php _e( 'Order ID', 'turbosms-woocommerce-viber-edition' ) ?></td>
                        </tr>
                        <tr>
                            <th>%status%</th>
                            <td><?php _e( 'Order status', 'turbosms-woocommerce-viber-edition' ) ?></td>
                        </tr>
                        <tr>
                            <th>%items_names%</th>
                            <td><?php _e( 'Name of product. If there are several products, they will be separated by commas.', 'turbosms-woocommerce-viber-edition' ) ?></td>
                        </tr>
                        <tr>
                            <th>%total%</th>
                            <td><?php _e( 'Order price', 'turbosms-woocommerce-viber-edition' ) ?></td>
                        </tr>
                        <tr>
                            <th>%currency%</th>
                            <td><?php _e( 'Order currency', 'turbosms-woocommerce-viber-edition' ) ?></td>
                        </tr>
                        <tr>
                            <th>%billing_postcode%</th>
                            <td><?php _e( 'Billing post code', 'turbosms-woocommerce-viber-edition' ) ?></td>
                        </tr>
                        <tr>
                            <th>%shipping_total%</th>
                            <td><?php _e( 'Order shipping cost', 'turbosms-woocommerce-viber-edition' ) ?></td>
                        </tr>
                        <tr>
                            <th>%num%</th>
                            <td><?php _e( 'Order number', 'woocommerce' ) ?></td>
                        </tr>
                        <tr>
                            <th>%payment_method%</th>
                            <td><?php _e( 'Payment method', 'turbosms-woocommerce-viber-edition' ) ?></td>
                        </tr>

                        <tr>
                            <th>%billing_phone%</th>
                            <td><?php _e( 'Billing Phone', 'woocommerce' ) ?></td>
                        </tr>
                        <tr>
                            <th>%billing_company%</th>
                            <td><?php _e( 'Billing Company', 'woocommerce' ) ?></td>
                        </tr>
                        <tr>
                            <th>%billing_address_1%</th>
                            <td><?php _e( 'Billing Address 1', 'woocommerce' ) ?></td>
                        </tr>
                        <tr>
                            <th>%billing_address_2%</th>
                            <td><?php _e( 'Billing Address 2', 'woocommerce' ) ?></td>
                        </tr>
                        <tr>
                            <th>%billing_city%</th>
                            <td><?php _e( 'Billing City', 'woocommerce' ) ?></td>
                        </tr>
                        <tr>
                            <th>%billing_state%</th>
                            <td><?php _e( 'Billing State', 'woocommerce' ) ?></td>
                        </tr>
                        <tr>
                            <th>%billing_postcode%</th>
                            <td><?php _e( 'Billing Postcode', 'woocommerce' ) ?></td>
                        </tr>
                        <tr>
                            <th>%billing_country%</th>
                            <td><?php _e( 'Billing Country', 'woocommerce' ) ?></td>
                        </tr>
                        <tr>
                            <th>%billing_email%</th>
                            <td><?php _e( 'Billing email', 'woocommerce' ) ?></td>
                        </tr>
                    </table>
                </div>
                <div class="col-md-12">
                    <p>
                        <sup>*</sup>
                        - <?php _e( 'will not work if the buyer does not have a phone number', 'turbosms-woocommerce-viber-edition' ) ?>
                    </p>
                </div>
                <div class="col-md-12">
                    <h3><?php _e( 'Useful links', 'turbosms-woocommerce-viber-edition' ) ?></h3>
                    <div class="">
                        <ul>
                            <li><a target="_blank"
                                   href="https://turbosms.ua/"><?php _e( 'TurboSMS Site', 'turbosms-woocommerce-viber-edition' ) ?></a>
                            </li>
                            <li>
                                <a target="_blank"
                                   href="https://youtu.be/zpFpVwzthi8"><?php _e( 'Plugin Video Instructions', 'turbosms-woocommerce-viber-edition' ) ?></a>
                            </li>
                            <li>
                                <a target="_blank"
                                   href="https://freelancevip.pro/product/turbosms-woocommerce-viber-edition/"><?php _e( 'Documentation', 'turbosms-woocommerce-viber-edition' ) ?></a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </fieldset>
    </form>
</div>